c Initial parameters: 

      module inprms

c Gauge boson masses and widths:

      real(8), parameter ::   mw=80.419d0   ,    mz=91.1882d0,
     &                        gamw=2.12d0   ,    gamz=2.4952d0

c EW mixing parameter:

      real(8), parameter ::   sw2=1.d0-(mw/mz)**2 

c Couplings:

      real(8), parameter :: ralp0=137.03599976d0,  ! ralpw=128.07d0,
     &                      alphas=0.1185d0      ,  gmu=1.16639d-5,
     &                ralpw=4.44288293815837d0/(2.d0*sw2*gmu*mw**2)

c Higgs mass and width:

      real(8), parameter ::   mh=115.d0,   gamh=0.d0

c Fermion masses:

      real(8), parameter :: 
     &       me=0.510998902d-3, mmu=105.658357d-3, mtau=1.77703d0,
     &       mu=5.d-3         , mc=1.3d0         , mt=174.3d0,
     &       md=9.d-3         , ms=150.d-3       , mb=4.4d0

c Fermion widths:

      real(8), parameter :: 
     &       game=0.d0       , gammu=0.d0       , gamtau=0.d0,
     &       gamu=0.d0       , gamc=0.d0        , gamt=1.5d0,
     &       gamd=0.d0       , gams=0.d0        , gamb=0.d0

c No of colours:

      real(8), parameter :: ncol=3.d0

c Conversion costant (pb*GeV^2):

      real(8), parameter ::   convc=0.389379292d12

      end module inprms

