      real(8) function lamsq(x,y,z)
c----------------------------------------------------------------------c
c The kinematic lambda function, with sqrt(x),sqrt(y),sqrt(z) as 
c arguments instead of x,y,z
c----------------------------------------------------------------------c

      real(8) x,y,z

      lamsq=(x-y-z)*(x+y+z)*(x-y+z)*(x+y-z)

      if (lamsq.lt.0.d0) then
         lamsq=0.d0
      end if

      end function


